siproxd (1:0.8.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:09:01 +0800

siproxd (1:0.8.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correctly use dh-autoreconf (Closes: #759438) 

 -- Wookey <wookey@debian.org>  Sun, 31 May 2015 03:13:06 +0100

siproxd (1:0.8.1-4) unstable; urgency=low

  * Add include-sys-time.patch 
  * Call dh --with-autoreconf Fixes "Update configure" (Closes: #702772)
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sun, 26 May 2013 15:26:54 +1000

siproxd (1:0.8.1-3) unstable; urgency=low

  * Fix "issues with debian packaging (conf and init)" (Closes: #658504)
    - PIDFILE=/var/run/$NAME/$NAME.pid
    - Refresh debian-user-1.diff 
    - non-empty-dependency_libs-in-la-file.diff - .la files in .conf
  * Added debian/siproxd.doc-base 

 -- Mark Purcell <msp@debian.org>  Sat, 04 Feb 2012 10:20:44 +1100

siproxd (1:0.8.1-2) unstable; urgency=low

  * Add siproxd-libtool-2.4.patch - Thanks to Chí-Thanh Christopher
    Nguyễn for the gentoo workaround (Closes: #657070)
    - Fixes "embedded library ltdl" 
  * Switch to dh 7 
  * source/format 3.0 (quilt)
  * Remove .la files non-empty-dependency_libs-in-la-file (Closes: #633224)
    - Fixes "Getting rid of unneeded *.la / emptying dependency_libs"
  * Update debian/copyright GPL-2 - copyright-refers-to-symlink-license
  * Drop obsolete NEWS - debian-news-entry-uses-asterisk
  * Drop obsolete Suggests:

 -- Mark Purcell <msp@debian.org>  Tue, 24 Jan 2012 19:43:05 +1100

siproxd (1:0.8.1-1) unstable; urgency=low

  * New upstream release
    - fixes CVE-2009-3736 local privilege esclation (Closes: #559827)
    - fixed embedded libltdl convenience copy
    - Updated libtool (Closes: #537272)

  * Add init.d-script-missing-dependency-on-remote_fs
  * Fix package-lacks-versioned-build-depends-on-debhelper

  * BUG: FTBFS with system provided libltdl-dev
    - Better to ship with libltdl convenience copy - addressing CVE-2009-3736
    - lintian error embedded-library
    - Build-Conflcits libltdl-dev
    - TODO: Fix plugins.c:65: undefined reference to 
      `lt__PROGRAM__LTX_preloaded_symbols'
    - Added debian/siproxd.lintian-overrides

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jan 2012 18:18:21 +1100

siproxd (1:0.8.0-1) UNRELEASED; urgency=low

  * Add Build-Depends to libltdl3-dev.
  * Drop Build-Conflicts to ancient libosip0-dev.
  * Bump Standards-Version to 3.8.4, no changes.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 31 May 2010 01:45:32 +0300

siproxd (1:0.7.2-1) unstable; urgency=low

  * New upstream release
  * init.d/siproxd set PIDFILE=/var/run/$NAME.pid 
    - fixes lintian:dir-or-file-in-var-run
  * debian/compat -> 7

 -- Mark Purcell <msp@debian.org>  Sat, 17 Oct 2009 11:01:04 +1100

siproxd (1:0.7.1-2) unstable; urgency=low

  * Upload to unstable
  * Add ${misc:Depends} - fixes debhelper-but-no-misc-depends

 -- Mark Purcell <msp@debian.org>  Tue, 24 Feb 2009 07:43:19 +1100

siproxd (1:0.7.1-1) experimental; urgency=low

  * New upstream release

  [ Patrick Matthäi ]
  * Set the -e flag in the maintainer scripts so that no errors are will be
    ignored.  Thanks lintian.

  [ Mark Purcell ]
  * Update Homepage:
  * Removed md5_prefix.diff encorporated upstream
  * Drop obsolete openlogger.diff
  * Simplify debian/rules
  * Replace yodl with siproxd.8 & siproxd.manpages
  * Build-Depends: docbook-utils - provide PDF/ HTML user guide
  * Update siproxd.[docs,examples] to grab available docs

 -- Mark Purcell <msp@debian.org>  Sun, 16 Nov 2008 23:19:51 +1100

siproxd (1:0.7.0-2) unstable; urgency=low

  * Ack NMU. Thanks Andreas 
  * Build-Depends: libosip2-dev (>=3.1.0) 
    - Fixes lintian:build-depends-on-1-revision
  * Remove Build-Depends: quilt. Fixes linitan:quilt-build-dep-but-no-
    series-file
  * Upgrade to Standards-Version: 3.8.0 - no changes necessary

 -- Mark Purcell <msp@debian.org>  Sat, 06 Sep 2008 00:39:22 +1000

siproxd (1:0.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust to newer libosip and bump build-dependency accordingly.
    Adding md5_prefix-479613.diff.
    Thanks to Peter Green for the patch. Closes: #479613

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 11 May 2008 12:14:31 +0000

siproxd (1:0.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #458106)
    - Fix building against libosip v3.0. (Closes: #439450)

  [ Kilian Krause ]
  * Fix get-orig-source target.
  * Add LSB section to init script.
  * Make sure /var/run/siproxd exists before running start-stop-daemon.

  [ Mark Purcell ]
  * debian/rules switch to simple-patchsys.mk
  * Rework openlogger-2.diff
  * Remove debian/patches/pidopt.diff; included upstream
  * cleanup debian/copyright
  * debian/rules cleanup get-orig-source using cdbs variables
  * Build-Depends: libosip2-dev (>= 3.0) 

  [ Mikael Magnusson ]
  * Add myself to Uploaders.

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Remove Uploaders that are not active anymore. (Dan, Jose, Santiago)
  * Bump Standards-Version to 3.7.3, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 05 Mar 2008 05:42:43 +0200

siproxd (1:0.5.13-1) unstable; urgency=low

  * New upstream release
    - Fixes: siproxd doesn't work on amd64 without 64bit patches from upstream
    (Closes: #366844)
    - Fixes: invalid argument for format string (Closes: #354190)
    - Fixes:  Weird location for registration_file (Closes: #327370)

 -- Mark Purcell <msp@debian.org>  Wed, 21 Jun 2006 16:30:00 +0100

siproxd (1:0.5.11-2) unstable; urgency=low

  * debian/rules: Ignore includes to fix clean target without all
    build-depends installed.
    Remove linking against gcc_s to fix FTBFS.
  * Remove amd64.diff from debian/patches/series; ack previous NMU 
    (Closes: #360724)
  * Only fix permissions on config files if exist (Closes: #326835)

 -- Kilian Krause <kilian@debian.org>  Sun,  7 May 2006 14:48:20 +0000

siproxd (1:0.5.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Really remove amd64.patch from patches/series (Closes: #360724)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 21 Apr 2006 02:36:40 +0200

siproxd (1:0.5.11-1) unstable; urgency=low

  * New upstream release
    - new upstream release 0.5.11 (Closes: #307848)
  * Minor comments on package description (Closes: #300704)
  * Temporarly remove adm64.patch as it doesn't apply cleanly to 
  new upstream

 -- Mark Purcell <msp@debian.org>  Sun, 30 Oct 2005 12:58:59 +0000

siproxd (1:0.5.10-3) UNRELEASED; urgency=low

  [ Kilian Krause ]
  * Fixed uploaders to include Kilian Krause as part of pkg-voip.

  [ Mark Purcell ]
  * Add debian/watch with svn-upgrade

 -- Mark Purcell <msp@debian.org>  Sun, 30 Oct 2005 12:33:51 +0000

siproxd (1:0.5.10+cvs20050423-1) unstable; urgency=low

  * New upstream release
  * CVS head release fixes segfaulting issue (closes: #304691)

 -- Dan Weber <dan@mirrorlynx.com>  Sat, 23 Apr 2005 22:09:55 -0400

siproxd (1:0.5.10-2) unstable; urgency=low

  * Fixed building on amd64 with gcc-4.0 (Closes: #300938)

 -- Kilian Krause <kk@verfaction.de>  Tue, 22 Mar 2005 21:28:19 +0100

siproxd (1:0.5.10-1) unstable; urgency=low

  * New upstream release (closes: #279717)
  * Epoch change to 1 to work with the new version schema
  * Can now depend on libosip2 2.0.9 directly (closes: #285178)
  * Since the build system before debian is buggy, and deletes its own
    specfile, this is not a bug of the package and no longer occurs with this
    upstream release (closes: #273013)
  * Cleaned out arch directories in source builds (closes: #271885)

 -- Dan Weber <dan@mirrorlynx.com>  Sat, 19 Mar 2005 10:27:15 -0500

siproxd (0.57.snap040720-2) unstable; urgency=low

  * Purged all that crap from NMU.  I removed all the debconf stuff because
    that is absolutely ridiculous.
  * siproxd_passwd.cfg is now optional and no longer directly supported.  A
    NEWS.Debian entry has been added for all those who still use it.

 -- Dan Weber <dan@mirrorlynx.com>  Thu, 23 Sep 2004 20:06:11 -0400

siproxd (0.57.snap040720-1.1) unstable; urgency=high

  * NMU
  * Fix filepermission of /etc/siproxd_passwd.cfg (closes: #271715)
    urgency high, as we have world readable passwords.
  * added dependency on ${misc:Depends} to get debconf
  * added german translation of debconf message.

 -- Martin Zobel-Helas <mhelas@helas.net>  Thu, 23 Sep 2004 11:54:11 +0200

siproxd (0.57.snap040720-1) unstable; urgency=low

  * New Upstream Release
  * Added missing build dependency on automake1.7 and autotools-dev
  * Added another missing build-dep on autoconf 

 -- Dan Weber <dan@mirrorlynx.com>  Mon, 19 Jul 2004 21:55:08 -0400

siproxd (0.57.snap040710-3) unstable; urgency=low

  * Added Uploaders section for VoIP team
  * Changed Maintainer to VoIP team

 -- Dan Weber <dan@mirrorlynx.com>  Sat, 17 Jul 2004 16:28:36 -0400

siproxd (0.57.snap040710-2) unstable; urgency=low

  * Fixed the pidfile functions again (upstream screwed up big time)
  * Pidfile is now created outside chroot
  * Logger only logs to daemon.log now 
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 11 Jul 2004 18:00:31 -0400

siproxd (0.57.snap040710-1) unstable; urgency=low

  * New upstream release
  * Fixes chroot problems with handling dns and register
    requests. (closes: #258195) 
  * Opens logger on start before chroot. (closes: #258194) 
  * New Package Description 
  * Cleaned up README.Debian 

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 11 Jul 2004 00:25:47 -0400

siproxd (0.57.snap040702-3) unstable; urgency=low

  * Integrated upstream fixes which fixes a bug where it was overwriting
    firewall data.
  * Modification to initscript: stop now does nothing if there is no
    pidfile.

 -- Marco d'Itri <md@linux.it>  Tue,  6 Jul 2004 20:43:38 +0200

siproxd (0.57.snap040702-2) unstable; urgency=low

  * Quick rebuild to not pollute the archive with SIProxd instead of siproxd
  * Cleaned chroot and now linked with libgcc_s
  * Now loads siproxd_passwd.cfg on start, thanks Marco d'Itri who found this bug
  * This release should upgrade cleanly if you had a broken release before

 -- Dan Weber <dan@mirrorlynx.com>  Mon,  5 Jul 2004 19:45:48 -0400

siproxd (0.57.snap040702-1) unstable; urgency=low

  * New upstream release
  * Fixed permissions on /etc/siproxd_passwd.cfg (closes: #257470)
  * Added a function to create a pidfile, removed existing code
  * Default install is to use a chroot jail
  * New init script 
  * Builds chroot on postinst run

 -- Dan Weber <dan@mirrorlynx.com>  Mon,  5 Jul 2004 13:13:35 -0400

siproxd (0.55.snap040427-1) unstable; urgency=low

  * New upstream release from CVS (closes: #232971)
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- Dan Weber <dan@mirrorlynx.com>  Tue, 27 Apr 2004 13:45:59 -0400

siproxd (0.53.snap040222-1) unstable; urgency=low

  * New upstream release

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 22 Feb 2004 12:47:08 -0500

siproxd (0.53.snap040216-1) unstable; urgency=low

  * Fixed Versioning scheme 

 -- Dan Weber <dan@mirrorlynx.com>  Fri, 20 Feb 2004 21:04:06 -0500

siproxd (0.53+16Feb2004-1) unstable; urgency=low

  * New upstream release

 -- Dan Weber <dan@mirrorlynx.com>  Mon, 16 Feb 2004 14:10:46 -0500

siproxd (0.53+15Feb2004-6) unstable; urgency=low

  * Added spacing after Description in control file so apt-repos don't get
    messed up 

 -- Dan Weber <dan@mirrorlynx.com>  Mon, 16 Feb 2004 13:44:03 -0500

siproxd (0.53+15Feb2004-5) unstable; urgency=low

  * Fixed manpage number 

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 15 Feb 2004 23:02:37 -0500

siproxd (0.53+15Feb2004-4) unstable; urgency=low

  * Fixed permissions 

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 15 Feb 2004 21:10:12 -0500

siproxd (0.53+15Feb2004-3) unstable; urgency=low

  * More init scripts problems addressed 

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 15 Feb 2004 14:26:24 -0500

siproxd (0.53+15Feb2004-2) unstable; urgency=low

  * Fixed init scripts 

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 15 Feb 2004 14:02:29 -0500

siproxd (0.53+15Feb2004-1) unstable; urgency=low

  * Initial Release.

 -- Dan Weber <dan@mirrorlynx.com>  Sun, 15 Feb 2004 11:09:36 -0500

